summaryrefslogtreecommitdiff
path: root/debian/patches
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2007-10-27 22:36:17 +0000
committerPeter Palfrader <peter@palfrader.org>2007-10-27 22:36:17 +0000
commit0b9cdfd2f5f5f9276f2243f8793cef0f97899fd7 (patch)
treeaafa7913a9b77ed5d2b57dac19f5685b8777cf14 /debian/patches
parent6ca7c118ece7f6b14dc5a3ea00ee208128fc5ef9 (diff)
downloadtor-0b9cdfd2f5f5f9276f2243f8793cef0f97899fd7.tar.gz
tor-0b9cdfd2f5f5f9276f2243f8793cef0f97899fd7.zip
Build a 0.2.0.9-alpha-2 with r12235: do not crash with a myfamily setting
svn:r12236
Diffstat (limited to 'debian/patches')
-rw-r--r--debian/patches/00list1
-rwxr-xr-xdebian/patches/12_r12235_do_not_crash_when_myfamily_is_set.dpatch68
2 files changed, 69 insertions, 0 deletions
diff --git a/debian/patches/00list b/debian/patches/00list
index a6d4270cc8..f7ae50aab3 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -3,3 +3,4 @@
06_add_compile_time_defaults.dpatch
07_log_to_file_by_default.dpatch
11_tor_as_root_more_helpful.dpatch
+12_r12235_do_not_crash_when_myfamily_is_set.dpatch
diff --git a/debian/patches/12_r12235_do_not_crash_when_myfamily_is_set.dpatch b/debian/patches/12_r12235_do_not_crash_when_myfamily_is_set.dpatch
new file mode 100755
index 0000000000..559f7bb5be
--- /dev/null
+++ b/debian/patches/12_r12235_do_not_crash_when_myfamily_is_set.dpatch
@@ -0,0 +1,68 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p2 ${patch_opts} < $0;;
+ -unpatch) patch -R -p2 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+Author: arma
+Date: 2007-10-27 17:40:32 -0400 (Sat, 27 Oct 2007)
+New Revision: 12235
+
+Modified:
+ tor/trunk/ChangeLog
+ tor/trunk/src/or/networkstatus.c
+Log:
+we need to send nick to the chalkboard to type 'un' 1000 times:
+
+Stop servers from crashing if they set a Family option (or
+maybe in other situations too). Bugfix on 0.2.0.9-alpha; reported
+by Fabian Keil.
+
+
+# disabled by weasel
+# Modified: tor/trunk/ChangeLog
+# ===================================================================
+# --- tor/trunk/ChangeLog 2007-10-27 21:36:56 UTC (rev 12234)
+# +++ tor/trunk/ChangeLog 2007-10-27 21:40:32 UTC (rev 12235)
+# @@ -1,4 +1,9 @@
+# Changes in version 0.2.0.10-alpha - 2007-1?-??
+# + o Major bugfixes:
+# + - Stop servers from crashing if they set a Family option (or
+# + maybe in other situations too). Bugfix on 0.2.0.9-alpha; reported
+# + by Fabian Keil.
+# +
+# o New requirements:
+# - Drop support for OpenSSL version 0.9.6. Just about nobody was using
+# it, it had no AES, and it hasn't seen any security patches since 2004.
+#
+Modified: tor/trunk/src/or/networkstatus.c
+===================================================================
+--- tor/trunk/src/or/networkstatus.c 2007-10-27 21:36:56 UTC (rev 12234)
++++ tor/trunk/src/or/networkstatus.c 2007-10-27 21:40:32 UTC (rev 12235)
+@@ -885,7 +885,9 @@
+ int
+ networkstatus_nickname_is_unnamed(const char *nickname)
+ {
+- return strmap_get_lc(named_server_map, nickname) != NULL;
++ if (!unnamed_server_map)
++ return 0;
++ return strmap_get_lc(unnamed_server_map, nickname) != NULL;
+ }
+
+ /** How frequently do directory authorities re-download fresh networkstatus
+